%global modname geojson

Name:               python-geojson
Version:            1.0.1
Release:            1%{?dist}
Summary:            Encoder/decoder for simple GIS features

Group:              Development/Libraries
License:            BSD
URL:                http://pypi.python.org/pypi/geojson
Source0:            http://pypi.python.org/packages/source/g/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-simplejson
Requires:           python-setuptools
Requires:           python-simplejson


%description
Geojson provides geometry, feature, and collection classes, and supports
pickle-style dump and load of objects that provide the lab's Python geo
interface. Here's an example of a round-trip through the GeoJSON format::

>>> import geojson
>>> p = geojson.Point([0.0, 0.0])
>>> p
Point(coordinates=[0.0, 0.0])
>>> data = geojson.dumps(p)
>>> data
'{"type": "Point", "coordinates": [0.0, 0.0]}'
>>> q = geojson.loads(data, object_hook=geojson.GeoJSON.to_instance)
>>> q
Point(coordinates=[0.0, 0.0])

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# The tests don't quite pass.
#%%check
#%%{__python} setup.py test

%files
%doc README.txt LICENSE.txt CHANGES.txt CREDITS.txt GeoInterface.txt
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Initial package for Fedora
